use rouille::router;

mod health;


pub fn serve(url: &str) {
    rouille::start_server(url, move |req| {
        router!(req,
            (GET)(/health) => {
                health::serve()
        },
            _ => {
                rouille::Response::from(rouille::Response::empty_404())
            }
        )
    });
}